aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Ses.Commands.VerifyEmailIdentity

Synopsis

- data VerifyEmailIdentity = VerifyEmailIdentity Text
- data VerifyEmailIdentityResponse = VerifyEmailIdentityResponse

# Documentation

data VerifyEmailIdentity #

List email addresses and/or domains

Constructors

VerifyEmailIdentity Text |

#### Instances

Instances details

SignQuery VerifyEmailIdentity # | ServiceConfiguration: `SesConfiguration`

Instance details

Defined in Aws.Ses.Commands.VerifyEmailIdentity

Associated Types

type ServiceConfiguration VerifyEmailIdentity |
Instance details Defined in Aws.Ses.Commands.VerifyEmailIdentity type ServiceConfiguration VerifyEmailIdentity = SesConfiguration

Methods

signQuery :: VerifyEmailIdentity -> ServiceConfiguration VerifyEmailIdentity queryType -> SignatureData -> SignedQuery #

Show VerifyEmailIdentity # |
Instance details Defined in Aws.Ses.Commands.VerifyEmailIdentity Methods showsPrec :: Int -> VerifyEmailIdentity -> ShowS # show :: VerifyEmailIdentity -> String # showList :: [VerifyEmailIdentity] -> ShowS #
Eq VerifyEmailIdentity # |
Instance details Defined in Aws.Ses.Commands.VerifyEmailIdentity Methods (==) :: VerifyEmailIdentity -> VerifyEmailIdentity -> Bool # (/=) :: VerifyEmailIdentity -> VerifyEmailIdentity -> Bool #
Ord VerifyEmailIdentity # |

Instance details

Defined in Aws.Ses.Commands.VerifyEmailIdentity

Methods

compare :: VerifyEmailIdentity -> VerifyEmailIdentity -> Ordering #

(<) :: VerifyEmailIdentity -> VerifyEmailIdentity -> Bool #

(<=) :: VerifyEmailIdentity -> VerifyEmailIdentity -> Bool #

(>) :: VerifyEmailIdentity -> VerifyEmailIdentity -> Bool #

(>=) :: VerifyEmailIdentity -> VerifyEmailIdentity -> Bool #

max :: VerifyEmailIdentity -> VerifyEmailIdentity -> VerifyEmailIdentity #

min :: VerifyEmailIdentity -> VerifyEmailIdentity -> VerifyEmailIdentity #

ResponseConsumer VerifyEmailIdentity VerifyEmailIdentityResponse # |

Instance details

Defined in Aws.Ses.Commands.VerifyEmailIdentity

Associated Types

type ResponseMetadata VerifyEmailIdentityResponse |
Instance details Defined in Aws.Ses.Commands.VerifyEmailIdentity type ResponseMetadata VerifyEmailIdentityResponse = SesMetadata

Methods

responseConsumer :: Request -> VerifyEmailIdentity -> IORef (ResponseMetadata VerifyEmailIdentityResponse) -> HTTPResponseConsumer VerifyEmailIdentityResponse #

Transaction VerifyEmailIdentity VerifyEmailIdentityResponse # |
Instance details Defined in Aws.Ses.Commands.VerifyEmailIdentity
type ServiceConfiguration VerifyEmailIdentity # |
Instance details Defined in Aws.Ses.Commands.VerifyEmailIdentity type ServiceConfiguration VerifyEmailIdentity = SesConfiguration

data VerifyEmailIdentityResponse #

The response sent back by Amazon SES after a `VerifyEmailIdentity` command.

Constructors

VerifyEmailIdentityResponse |

#### Instances

Instances details

AsMemoryResponse VerifyEmailIdentityResponse # |

Instance details

Defined in Aws.Ses.Commands.VerifyEmailIdentity

Associated Types

type MemoryResponse VerifyEmailIdentityResponse |
Instance details Defined in Aws.Ses.Commands.VerifyEmailIdentity type MemoryResponse VerifyEmailIdentityResponse = VerifyEmailIdentityResponse

Methods

loadToMemory :: VerifyEmailIdentityResponse -> ResourceT IO (MemoryResponse VerifyEmailIdentityResponse) #

Show VerifyEmailIdentityResponse # |
Instance details Defined in Aws.Ses.Commands.VerifyEmailIdentity Methods showsPrec :: Int -> VerifyEmailIdentityResponse -> ShowS # show :: VerifyEmailIdentityResponse -> String # showList :: [VerifyEmailIdentityResponse] -> ShowS #
Eq VerifyEmailIdentityResponse # |
Instance details Defined in Aws.Ses.Commands.VerifyEmailIdentity Methods (==) :: VerifyEmailIdentityResponse -> VerifyEmailIdentityResponse -> Bool # (/=) :: VerifyEmailIdentityResponse -> VerifyEmailIdentityResponse -> Bool #
Ord VerifyEmailIdentityResponse # |

Instance details

Defined in Aws.Ses.Commands.VerifyEmailIdentity

Methods

compare :: VerifyEmailIdentityResponse -> VerifyEmailIdentityResponse -> Ordering #

(<) :: VerifyEmailIdentityResponse -> VerifyEmailIdentityResponse -> Bool #

(<=) :: VerifyEmailIdentityResponse -> VerifyEmailIdentityResponse -> Bool #

(>) :: VerifyEmailIdentityResponse -> VerifyEmailIdentityResponse -> Bool #

(>=) :: VerifyEmailIdentityResponse -> VerifyEmailIdentityResponse -> Bool #

max :: VerifyEmailIdentityResponse -> VerifyEmailIdentityResponse -> VerifyEmailIdentityResponse #

min :: VerifyEmailIdentityResponse -> VerifyEmailIdentityResponse -> VerifyEmailIdentityResponse #

ResponseConsumer VerifyEmailIdentity VerifyEmailIdentityResponse # |

Instance details

Defined in Aws.Ses.Commands.VerifyEmailIdentity

Associated Types

type ResponseMetadata VerifyEmailIdentityResponse |
Instance details Defined in Aws.Ses.Commands.VerifyEmailIdentity type ResponseMetadata VerifyEmailIdentityResponse = SesMetadata

Methods

responseConsumer :: Request -> VerifyEmailIdentity -> IORef (ResponseMetadata VerifyEmailIdentityResponse) -> HTTPResponseConsumer VerifyEmailIdentityResponse #

Transaction VerifyEmailIdentity VerifyEmailIdentityResponse # |
Instance details Defined in Aws.Ses.Commands.VerifyEmailIdentity
type MemoryResponse VerifyEmailIdentityResponse # |
Instance details Defined in Aws.Ses.Commands.VerifyEmailIdentity type MemoryResponse VerifyEmailIdentityResponse = VerifyEmailIdentityResponse
type ResponseMetadata VerifyEmailIdentityResponse # |
Instance details Defined in Aws.Ses.Commands.VerifyEmailIdentity type ResponseMetadata VerifyEmailIdentityResponse = SesMetadata